Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Constants | Methods | Inherited Methods | [Expand All]
public class

# CreateFileActivityBuilder

extends Object

java.lang.Object
↳ | com.google.android.gms.drive.CreateFileActivityBuilder

## Class Overview

A builder that is used to configure and display the create file activity. This dialog creates a new file in the user's drive with a destination and title selected by the user, and the initial metadata and contents specified in this builder. If the device is currently offline, the file will be created locally and committed to the server when connectivity is restored.

To create a new `DriveFile`, create a `Contents` object using `newContents(GoogleApiClient)` and use it to write the file content and `MetadataChangeSet.Builder` to create the associated metadata and set them on the builder using `setInitialContents(Contents)` and `setInitialMetadata(MetadataChangeSet)` before building.

To create a new `DriveFolder`, create a metadata change set using `MetadataChangeSet.Builder` and be sure to set the MIME type to `MIME_TYPE`. Store this metadata on the activity builder using `setInitialMetadata(MetadataChangeSet)`. No `Contents` should be set on the builder.

To display the activity, pass the result of `build(GoogleApiClient)` to `#startActivityForResult()`. When the activity completes, a successful response will include an extra `EXTRA_RESPONSE_DRIVE_ID` with the selected `DriveId`.

Note: you cannot use `#startActivity` to invoke the activity. This will fail.

## Summary

Constants
String | EXTRA_RESPONSE_DRIVE_ID | A successful result will return an extra by this name which will contain the `DriveId` of the created file.

Public Methods
IntentSender | build(GoogleApiClient apiClient) Gets an Intent that can be used to start the Create File activity.
CreateFileActivityBuilder | setActivityStartFolder(DriveId folder) Sets the default folder that will be presented at activity startup as the location for file creation.
CreateFileActivityBuilder | setActivityTitle(String title) Sets the title displayed in the activity.
CreateFileActivityBuilder | setInitialContents(Contents contents) Sets the initial contents for the new file.
CreateFileActivityBuilder | setInitialMetadata(MetadataChangeSet metadataChangeSet) Sets the default metadata for the new file.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Constants

#### public static final String EXTRA_RESPONSE_DRIVE_ID

A successful result will return an extra by this name which will contain the `DriveId` of the created file.

Constant Value: "response_drive_id"

## Public Methods

#### public IntentSender build (GoogleApiClient apiClient)

Gets an Intent that can be used to start the Create File activity. Note that you must start this activity with `startActivityForResult`, not `startActivity`. Once this is invoked, the provided contents are finalized and cannot be edited. To make additional edits, reopen the contents with the returned DriveId.

##### Parameters

apiClient | The `GoogleApiClient` to service the call. The client must be connected before invoking this method.

#### public CreateFileActivityBuilder setActivityStartFolder (DriveId folder)

Sets the default folder that will be presented at activity startup as the location for file creation. The activity supports navigation from this point to other folders.

#### public CreateFileActivityBuilder setActivityTitle (String title)

Sets the title displayed in the activity.

##### Parameters

title | the title to set on the activity (may not be null)

#### public CreateFileActivityBuilder setInitialContents (Contents contents)

Sets the initial contents for the new file. This will close the contents, and persist them as the initial contents for the file. To continue editing the contents, reopen them once the file has been created.

#### public CreateFileActivityBuilder setInitialMetadata (MetadataChangeSet metadataChangeSet)

Sets the default metadata for the new file.